Bug Hunting Session
Bug 91283 - Printing dialog stays on screen
Summary: Printing dialog stays on screen
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
5.0.0.0.alpha0+ Master
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.0.0.beta2
Keywords:
Depends on:
Blocks: VclPtr
  Show dependency treegraph
 
Reported: 2015-05-14 10:27 UTC by mal
Modified: 2016-10-25 19:23 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Stuck dialog (66.12 KB, image/png)
2015-05-14 10:27 UTC, mal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mal 2015-05-14 10:27:35 UTC
Created attachment 115595 [details]
Stuck dialog

Windows 7 with an IPP printer set to a CUPS printserver ( openSUSE 13.1 with CUPS 2.0.1 )

When you print the printing progress dialog doesn't go away.

Same machine with 4.4.0.3 works correctly

Printing is fine and cancelling the box clears it.

Image attached.

Mal
Comment 1 Buovjaga 2015-05-19 11:20:40 UTC
Got this today while printing to a PDF printer.
Closing the box with X worked, but not canceling.

Win 7 Pro 64-bit Version: 5.0.0.0.alpha1+
Build ID: 158b50763962f66515062300e265839828463efa
TinderBox: Win-x86@39, Branch:master, Time: 2015-05-19_00:28:31
Locale: fi-FI (fi_FI)
Comment 2 mal 2015-05-19 11:28:40 UTC
My bad - I should have said using the X not cancelling

Mal
Comment 3 Philippe Jung 2015-05-19 14:22:40 UTC
Reproduced.
Cost one page of paper per test :-(
Comment 4 Michael Meeks 2015-05-22 10:21:30 UTC
Bit of a pain to chase; but got it - thanks ! =)
Comment 5 Commit Notification 2015-05-22 10:22:12 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=05b0311612f3a26530b0d3e300563c4588bf68e9

tdf#91283 - reset the PrinterController during dispose.

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-05-22 14:30:25 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0d682a9d5a9c68b0ba949725bdab3042f2e8aaa1&h=libreoffice-5-0

tdf#91283 - reset the PrinterController during dispose.

It will be available in 5.0.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Buovjaga 2015-05-23 11:51:11 UTC
Verifying it is fixed.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: d8208da8576874fdb07014287e6cbc0aeba741bb
TinderBox: Win-x86@39, Branch:master, Time: 2015-05-23_09:23:03
Locale: fi-FI (fi_FI)